From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-asyncio/
Date: Sun, 5 Jun 2022 18:22:52 +0000 (UTC) [thread overview]
Message-ID: <1654453367.abe46d1d2b36c182cb50db0eacfcb18f69214058.mgorny@gentoo> (raw)
commit: abe46d1d2b36c182cb50db0eacfcb18f69214058
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 5 18:12:29 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Jun 5 18:22:47 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abe46d1d
dev-python/sphinxcontrib-asyncio: Bump to 0.3.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/sphinxcontrib-asyncio/Manifest | 1 +
.../sphinxcontrib-asyncio-0.3.0.ebuild | 39 ++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/dev-python/sphinxcontrib-asyncio/Manifest b/dev-python/sphinxcontrib-asyncio/Manifest
index cb1e2c53a042..d68bdd275752 100644
--- a/dev-python/sphinxcontrib-asyncio/Manifest
+++ b/dev-python/sphinxcontrib-asyncio/Manifest
@@ -1 +1,2 @@
DIST sphinxcontrib-asyncio-0.2.0.tar.gz 10689 BLAKE2B 9e03989a1ed22d7d467bdb7626e2e908407a0de15a943a432ff9707340f0cefe7caf1684380c25764637798b585b32287c4bcfc0f2014a78b7019547405e7ded SHA512 2ca25717c03385ae9bf879b8efeab8d508292d07f96d941032720d755d3db2e7bbc3c9a33c6103af9d83849ed8878bea1048d349bd0873288ee2addfee9756b7
+DIST sphinxcontrib-asyncio-0.3.0.tar.gz 11622 BLAKE2B 8c3358ad191e12e79767be6e6f3800e5de423d9a5ad005bdb416aa7a601cddc5f115db3e9b27213c06dbc341b671cbacd00217b65496baada40bfe257069abfa SHA512 fa66a2a9b5f89327686481f46d8e5be0b674f6355c8c0eeb862bf0ca0b5bb848121c5ed153780f653242faf1b82debc6917c3f6046244cce0f1423303a324f29
diff --git a/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.3.0.ebuild b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.3.0.ebuild
new file mode 100644
index 000000000000..b4063a15cf88
--- /dev/null
+++ b/dev-python/sphinxcontrib-asyncio/sphinxcontrib-asyncio-0.3.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="sphinx extension to support coroutines in markup"
+HOMEPAGE="
+ https://github.com/aio-libs/sphinxcontrib-asyncio/
+ https://pypi.org/project/sphinxcontrib-asyncio/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/sphinx[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs
+
+src_prepare() {
+ # fix for sphinx >= 4.0
+ sed -e 's/PyModulelevel/PyFunction/g' \
+ -e 's/PyClassmember/PyClassMethod/g' \
+ -i sphinxcontrib/asyncio.py || die
+ default
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ rm "${BUILD_DIR}/install$(python_get_sitedir)"/sphinxcontrib/__init__.py || die
+}
next reply other threads:[~2022-06-05 18:22 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-05 18:22 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-03-17 15:25 [gentoo-commits] repo/gentoo:master commit in: dev-python/sphinxcontrib-asyncio/ Michał Górny
2022-09-26 7:33 Arthur Zamarin
2022-07-10 19:06 Michał Górny
2022-07-10 16:56 Sam James
2022-04-26 17:01 Michał Górny
2022-04-26 16:56 Arthur Zamarin
2022-04-19 20:44 Michał Górny
2022-01-29 13:38 James Le Cuirot
2021-08-28 8:16 Arthur Zamarin
2021-05-28 21:48 Michał Górny
2021-05-28 21:48 Michał Górny
2020-12-13 23:23 Sam James
2020-12-04 12:38 Michał Górny
2020-12-03 17:31 Michał Górny
2020-07-11 22:43 Sam James
2020-07-04 12:36 Mart Raudsepp
2020-06-17 20:36 Sergei Trofimovich
2020-06-17 18:08 Sergei Trofimovich
2020-05-31 22:49 Matt Turner
2020-05-16 19:47 Sergei Trofimovich
2020-05-13 23:03 Sergei Trofimovich
2020-05-03 12:59 Agostino Sarubbo
2020-05-03 10:12 Agostino Sarubbo
2020-04-04 10:52 Sergei Trofimovich
2020-03-29 21:21 Sergei Trofimovich
2020-03-28 23:40 Sergei Trofimovich
2020-03-26 7:53 Sergei Trofimovich
2020-02-06 6:18 Michał Górny
2019-12-30 21:54 Piotr Karbowski
2019-07-31 14:32 Mikle Kolyada
2019-07-14 12:27 Michał Górny
2019-04-27 11:49 Anthony G. Basile
2019-03-16 23:07 Anthony G. Basile
2018-03-10 14:56 Pacho Ramos
2018-02-17 13:41 Michał Górny
2017-10-04 8:57 Michał Górny
2017-08-02 4:06 Sebastien Fabbro
2017-02-13 9:06 Zac Medico
2016-07-30 14:55 Alex Brandt
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1654453367.abe46d1d2b36c182cb50db0eacfcb18f69214058.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox